Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task.service
Class OperationCommand

    java.lang.Object
      org.jbpm.task.service.OperationCommand

    public class OperationCommand

extends Object

Constructor Summary
`OperationCommand()`

Method Summary
`List<Allowed>` | `getAllowed()`
`Operation` | `getExec()`
`Status` | `getNewStatus()`
`List<Status>` | `getPreviousStatus()`
`List<Status>` | `getStatus()`
`boolean` | `isAddTargetEntityToPotentialOwners()`
`boolean` | `isAddTargetUserToPotentialOwners()`
`boolean` | `isRemoveUserFromPotentialOwners()`
`boolean` | `isSetNewOwnerToNull()`
`boolean` | `isSetNewOwnerToUser()`
`boolean` | `isSetToPreviousStatus()`
`boolean` | `isSkippable()`
`boolean` | `isUserIsExplicitPotentialOwner()`
`void` | `setAddTargetUserToPotentialOwners(boolean addTargetUserToPotentialOwners)`
`void` | `setAllowed(List<Allowed> allowed)`
`void` | `setExec(Operation exec)`
`void` | `setNewStatus(Status newStatus)`
`void` | `setPreviousStatus(List<Status> previousStatus)`
`void` | `setRemoveUserFromPotentialOwners(boolean removeUserFromPotentialOwners)`
`void` | `setSetNewOwnerToNull(boolean setNewOwnerToNull)`
`void` | `setSetNewOwnerToUser(boolean setNewOwnerToTargetUser)`
`void` | `setSetToPreviousStatus(boolean setToPreviousStatus)`
`void` | `setSkippable(boolean skippable)`
`void` | `setStatus(List<Status> status)`
`void` | `setUserIsExplicitPotentialOwner(boolean userIsExplicitPotentialOwner)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OperationCommand

    public OperationCommand()

Method Detail

### getStatus

    public List<Status> getStatus()

### setStatus

    public void setStatus(List<Status> status)

### getPreviousStatus

    public List<Status> getPreviousStatus()

### setPreviousStatus

    public void setPreviousStatus(List<Status> previousStatus)

### getAllowed

    public List<Allowed> getAllowed()

### setAllowed

    public void setAllowed(List<Allowed> allowed)

### getNewStatus

    public Status getNewStatus()

### isSetNewOwnerToNull

    public boolean isSetNewOwnerToNull()

### setSetNewOwnerToNull

    public void setSetNewOwnerToNull(boolean setNewOwnerToNull)

### isAddTargetUserToPotentialOwners

    public boolean isAddTargetUserToPotentialOwners()

### setNewStatus

    public void setNewStatus(Status newStatus)

### isSetNewOwnerToUser

    public boolean isSetNewOwnerToUser()

### setSetNewOwnerToUser

    public void setSetNewOwnerToUser(boolean setNewOwnerToTargetUser)

### isSetToPreviousStatus

    public boolean isSetToPreviousStatus()

### setSetToPreviousStatus

    public void setSetToPreviousStatus(boolean setToPreviousStatus)

### isUserIsExplicitPotentialOwner

    public boolean isUserIsExplicitPotentialOwner()

### setUserIsExplicitPotentialOwner

    public void setUserIsExplicitPotentialOwner(boolean userIsExplicitPotentialOwner)

### isAddTargetEntityToPotentialOwners

    public boolean isAddTargetEntityToPotentialOwners()

### setAddTargetUserToPotentialOwners

    public void setAddTargetUserToPotentialOwners(boolean addTargetUserToPotentialOwners)

### isRemoveUserFromPotentialOwners

    public boolean isRemoveUserFromPotentialOwners()

### setRemoveUserFromPotentialOwners

    public void setRemoveUserFromPotentialOwners(boolean removeUserFromPotentialOwners)

### isSkippable

    public boolean isSkippable()

### setSkippable

    public void setSkippable(boolean skippable)

### getExec

    public Operation getExec()

### setExec

    public void setExec(Operation exec)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.